commit:     285ff66c5ae45705faa8d171a24afa4c8fba06e2
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Dec 19 02:56:00 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jan 20 14:13:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=285ff66c

app-crypt/tpm2-tools: Don't let configure run git, add missing dep

Closes: https://bugs.gentoo.org/760567
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-tools/tpm2-tools-5.0-r1.ebuild | 46 +++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/app-crypt/tpm2-tools/tpm2-tools-5.0-r1.ebuild 
b/app-crypt/tpm2-tools/tpm2-tools-5.0-r1.ebuild
new file mode 100644
index 00000000000..c03f468e395
--- /dev/null
+++ b/app-crypt/tpm2-tools/tpm2-tools-5.0-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Tools for the TPM 2.0 TSS"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-tools";
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+fapi libressl"
+
+# Integration test are now run as part of the testing suite, which will fail
+# because none of the supported TPM emulators are in Portage. In a future
+# version of tpm2-tools, swtpm will be supported and the tests can be run.
+RESTRICT="test"
+
+RDEPEND="net-misc/curl:=
+       >=app-crypt/tpm2-tss-3.0.1:=[fapi?]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       sys-devel/autoconf-archive"
+PATCHES=(
+       "${FILESDIR}/${PN}-4.2.1-libressl.patch"
+       "${FILESDIR}/${PN}-4.3.0-Remove-WError.patch"
+)
+
+src_prepare() {
+       sed -i \
+       "s/m4_esyscmd_s(\[git describe --tags --always --dirty\])/${PV}/" \
+       "${S}/configure.ac" || die
+       eautoreconf
+       default
+}
+
+src_configure() {
+       econf \
+               $(use_enable fapi) \
+               $(use_enable !libressl hardening)
+}

Reply via email to